import { servicesVersion } from "typescript";
import service from "@/utils/axios";

//登录接口
interface loginData{
    username:string,
    password:string
}
export function login(data:any){
    return service({
        url:"/api/auth/login",
        method:"post",
        data
    })
}
export function logout(){
    return service({
        url:"/api/auth/logout",
        method:"get",
    })
}
export function authorize(){
    return service({
        url:"/api/user/me",
        method:"get"
    })
}

export function getAlgorithemList(){

    return service({
        url:"",
        method:"get"
    })
}
//查询所有信息接口
export function getAllAlgorithm(){
    return service({
        url:"/api/algorithm/findall",
        method:"get"
    })
}

